package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.LogisticBean;
import com.wd.workoffice.bean.LogisticDetailBean;
import com.wd.workoffice.bean.workEnum.OrderType;
import com.wd.workoffice.util.MathUtils;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkLogisticDetailAdapter extends BaseQuickAdapter<LogisticDetailBean.RecordsBean, BaseViewHolder> {

    public WorkLogisticDetailAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, LogisticDetailBean.RecordsBean item) {
        helper.setText(R.id.tv_company, item.getLaunchDeptName());
        helper.setText(R.id.tv_client, item.getCustomerName());
        helper.setText(R.id.tv_name, "快递单号："+item.getTrackingNumber());
        helper.setText(R.id.tv_weight, MathUtils.converData(item.getWeight(),3));
        helper.setText(R.id.tv_tax, MathUtils.converData(item.getFareMoney(),3));
        helper.setText(R.id.tv_person, item.getCreatedUser());
    }
}

